Hyperbolic Functions
Base Module » Basic and Miscellaneous Math Functions

## Functions

vec | itpp::sinh (const vec &x)
| Sine hyperbolic function.
mat | itpp::sinh (const mat &x)
| Sine hyperbolic function.
vec | itpp::cosh (const vec &x)
| Cosine hyperbolic function.
mat | itpp::cosh (const mat &x)
| Cosine hyperbolic function.
vec | itpp::tanh (const vec &x)
| Tan hyperbolic function.
mat | itpp::tanh (const mat &x)
| Tan hyperbolic function.
vec | itpp::asinh (const vec &x)
| Inverse sine hyperbolic function.
mat | itpp::asinh (const mat &x)
| Inverse sine hyperbolic function.
vec | itpp::acosh (const vec &x)
| Inverse cosine hyperbolic function.
mat | itpp::acosh (const mat &x)
| Inverse cosine hyperbolic function.
vec | itpp::atanh (const vec &x)
| Inverse tan hyperbolic function.
mat | itpp::atanh (const mat &x)
| Inverse tan hyperbolic function.

## Detailed Description

## Function Documentation

## sinh() [1/2]

vec itpp::sinh | ( | const vec & | x | ) |

inline

Sine hyperbolic function.

Definition at line 89 of file trig_hyp.h.

## sinh() [2/2]

mat itpp::sinh | ( | const mat & | x | ) |

inline

Sine hyperbolic function.

Definition at line 91 of file trig_hyp.h.

## cosh() [1/2]

vec itpp::cosh | ( | const vec & | x | ) |

inline

Cosine hyperbolic function.

Definition at line 93 of file trig_hyp.h.

## cosh() [2/2]

mat itpp::cosh | ( | const mat & | x | ) |

inline

Cosine hyperbolic function.

Definition at line 95 of file trig_hyp.h.

## tanh() [1/2]

vec itpp::tanh | ( | const vec & | x | ) |

inline

Tan hyperbolic function.

Definition at line 97 of file trig_hyp.h.

Referenced by fpica().

## tanh() [2/2]

mat itpp::tanh | ( | const mat & | x | ) |

inline

Tan hyperbolic function.

Definition at line 99 of file trig_hyp.h.

## asinh() [1/2]

ITPP_EXPORT vec itpp::asinh | ( | const vec & | x | ) |

Inverse sine hyperbolic function.

Definition at line 36 of file trig_hyp.cpp.

References itpp::asinh().

Referenced by itpp::asinh(), and itpp::asinh().

## asinh() [2/2]

ITPP_EXPORT mat itpp::asinh | ( | const mat & | x | ) |

Inverse sine hyperbolic function.

Definition at line 38 of file trig_hyp.cpp.

References itpp::asinh().

## acosh() [1/2]

ITPP_EXPORT vec itpp::acosh | ( | const vec & | x | ) |

Inverse cosine hyperbolic function.

Definition at line 40 of file trig_hyp.cpp.

References itpp::acosh().

Referenced by itpp::acosh(), itpp::acosh(), itpp::cheb(), and itpp::chebwin().

## acosh() [2/2]

ITPP_EXPORT mat itpp::acosh | ( | const mat & | x | ) |

Inverse cosine hyperbolic function.

Definition at line 42 of file trig_hyp.cpp.

References itpp::acosh().

## atanh() [1/2]

ITPP_EXPORT vec itpp::atanh | ( | const vec & | x | ) |

Inverse tan hyperbolic function.

Definition at line 44 of file trig_hyp.cpp.

References itpp::atanh().

Referenced by itpp::atanh(), and itpp::atanh().

## atanh() [2/2]

ITPP_EXPORT mat itpp::atanh | ( | const mat & | x | ) |

Inverse tan hyperbolic function.

Definition at line 46 of file trig_hyp.cpp.

References itpp::atanh().

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8